Create Webhook Custom Auth Function

Use this API to create a new webhook custom auth function. A limit of one custom auth function is enforced per Encompass instance.

This is a premium API for Encompass customers only (for Lender use). Access requires special licensing entitlements. Please reach out to your Account Team for more information.

The API supports the following authentication types:

  • OAuth2 Token (Client Credentials Flow):
    Webhook endpoint requests can be secured using an access token obtained through the OAuth2 Client Credentials flow.
  • OAuth2 Token (Client Assertion using Private Key & Certificate):
    Authentication can be achieved with an OAuth2 token obtained via the Client Assertion flow, which utilizes a private key and certificate (as defined in RFC 7523).
  • Custom Headers:
    Webhook requests can be authorized solely based on the presence of specific custom headers.
  • Custom Headers with Token Request:
    A combination of custom headers and a token obtained through a separate request can be used for authorization.

Usage Notes

  • For template type OAUTH2_CLIENT_CREDENTIAL_RFC7523 (Client Assertion using Private Key & Certificate) include only the leaf certificate. Intermediate and root certificates should not be attached, as the verification process relies on the receiver's truster certificate chain.

This API added with the 25.2 release of Encompass.

Body Params
string

Description of the custom auth policy.

string
enum

The function type. Supported value: auth.

Allowed:
string
enum

Supported values:

  • OAUTH2_CLIENT_CREDENTIAL
  • OAUTH2_CLIENT_CREDENTIAL_RFC7523
  • CUSTOM_HEADER_ONLY
Allowed:
customHeaders
object

Supports up to 10 headers with fixed values (comma separated) that need to be sent with every webhook notification.

Example:
customHeaders.x-api-key
customHeaders.client

tokenCustomHeaders
object

Supports up to 10 headers with fixed values (comma separated) that need to be sent in the token request.

Example:
customHeaders.x-api-key
customHeaders.client

Applicable only when the custom headers need to be passed as part of the token request.

string

Applies to: OAUTH2_CLIENT_CREDENTIAL_RFC7523 templateType only.

string

Applies to: OAUTH2_CLIENT_CREDENTIAL_RFC7523 templateType only.

Include only the leaf certificate, Intermediate and Root certs should not be attached.

uri

Custom auth token URL.

tokenParameters
object

This object is not applicable to templateType CUSTOM_HEADER_ONLY.

string

The UUID for the custom function. This attribute is retrieveOnly, included in the response payload.

Headers
string

Bearer token

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

409

Conflict

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json